import 'package:flutter/material.dart';
import 'package:flutter_markdown/flutter_markdown.dart';
import 'package:solaragent/models/feed.dart';

class ArticleContent extends StatelessWidget {
  final Feed item;
  final bool brief;

  const ArticleContent({super.key, required this.item, required this.brief});

  @override
  Widget build(BuildContext context) {
    return brief
        ? ListTile(
            title: Text(item.title),
            subtitle: Text(item.description),
          )
        : Markdown(
            data: item.content,
            shrinkWrap: true,
            physics: const NeverScrollableScrollPhysics(),
          );
  }
}
